Name:           playerctl
Version:        0.6.1
Release:        1%{?dist}
Summary:        Command-line MPRIS-compatible Media Player Controller

License:        LGPLv3+
URL:            https://github.com/acrisci/playerctl
Source:         %{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)


%description
Playerctl is a command-line utility and library for controlling media players
that implement the MPRIS D-Bus Interface Specification. Playerctl makes it
easy to bind player actions, such as play and pause, to media keys.

For more advanced users, Playerctl provides an introspectable library
available in your favorite scripting language that allows more detailed
control like the ability to subscribe to media player events or get metadata
such as artist and title for the playing track.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(gobject-2.0)
Requires:       gtk-doc


%description devel
Development files for %{name}.


%prep
%setup -q


%build
%configure
%make_build


%install
%make_install
rm %{buildroot}%{_libdir}/*.la
rm %{buildroot}%{_libdir}/*.a # until someone asks


%check
%make_build check


%files
%license COPYING
%{_bindir}/%{name}
%{_libdir}/girepository-1.0
%{_libdir}/lib%{name}-1.0.so.0*
%{_mandir}/man1/%{name}.1*


%files devel
%{_datadir}/gir-1.0
%{_datadir}/gtk-doc
%{_includedir}/%{name}
%{_libdir}/lib%{name}-1.0.so
%{_libdir}/pkgconfig


%changelog
* Sun Sep 02 2018 Dridi Boukelmoune <dridi@fedoraproject.org> - 0.6.1-1
- Initial spec
